
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * piloType.h:     La SDI_F de pilo
 *
 * Utilise par le module et par les clients
 * (inclut dans piloMsgLib.h et piloPosterLib.h)
 * 
 */

#ifndef pilo_TYPE_H
#define pilo_TYPE_H

#include "genom/modules.h"
#include "piloError.h"

/* Nombre de tache d'execution de ce module */
#define PILO_NB_EXEC_TASK                   (1)


#endif
#ifndef pilo_TYPE1_H
#define pilo_TYPE1_H

#include "/opt/openrobots/include/genPos/genPosStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "piloStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct PILO_STR {
	int percentSpeed;
	GENPOS_CART_REF refStr;
	GENPOS_CART_SPEED speedRef;
	PILO_INIT_STR initStr;
	PILO_MOVE_STR moveStr;
	PILO_TURN_STR turnStr;
	PILO_GOTO_CONFIG_STR gotoStr;
	PILO_TRAJECTORY trajStr;
	PILO_ABSOLUTE_BL absBLStr;
	PILO_TRAJ_POSTER trajPoster;
	PILO_DYNAMIC_PARAMS dynamicParams;
	double monLength;
	double MonLengthInput[20];
} PILO_STR;


#endif

