
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PILO_SCAN_H
#define PILO_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"


/* Structures du module */
#include "server/piloPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_PILO_BASICTRAJ_POSTER_STR (char** buf, struct PILO_BASICTRAJ_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PILO_SPEEDREF_POSTER_STR (char** buf, struct PILO_SPEEDREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PILO_POSREF_POSTER_STR (char** buf, struct PILO_POSREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PILO_STR (char** buf, struct PILO_STR *x, int nDim, int *dims );
int scan_buf_struct_PILO_ABSOLUTE_BL (char** buf, struct PILO_ABSOLUTE_BL *x, int nDim, int *dims );
int scan_buf_struct_PILO_ASOLUTE_REF (char** buf, struct PILO_ASOLUTE_REF *x, int nDim, int *dims );
int scan_buf_struct_PILO_TRAJECTORY (char** buf, struct PILO_TRAJECTORY *x, int nDim, int *dims );
int scan_buf_struct_PILO_SEGMENT (char** buf, struct PILO_SEGMENT *x, int nDim, int *dims );
int scan_buf_struct_PILO_TRAJ_HEADER (char** buf, struct PILO_TRAJ_HEADER *x, int nDim, int *dims );
int scan_buf_enum_PILO_SEG_TYPE (char** buf, enum PILO_SEG_TYPE *x, int nDim, int *dims );
int scan_buf_struct_PILO_TRAJ_POSTER (char** buf, struct PILO_TRAJ_POSTER *x, int nDim, int *dims );
int scan_buf_struct_PILO_GOTO_CONFIG_STR (char** buf, struct PILO_GOTO_CONFIG_STR *x, int nDim, int *dims );
int scan_buf_enum_PILO_GOTO_CONFIG_MODE (char** buf, enum PILO_GOTO_CONFIG_MODE *x, int nDim, int *dims );
int scan_buf_enum_PILO_ABS_OR_REL (char** buf, enum PILO_ABS_OR_REL *x, int nDim, int *dims );
int scan_buf_struct_PILO_TURN_STR (char** buf, struct PILO_TURN_STR *x, int nDim, int *dims );
int scan_buf_struct_PILO_MOVE_STR (char** buf, struct PILO_MOVE_STR *x, int nDim, int *dims );
int scan_buf_enum_PILO_AVOID_FLAG (char** buf, enum PILO_AVOID_FLAG *x, int nDim, int *dims );
int scan_buf_struct_PILO_DYNAMIC_PARAMS (char** buf, struct PILO_DYNAMIC_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_PILO_INIT_STR (char** buf, struct PILO_INIT_STR *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_PILO_INIT_STR (char** buf, PILO_INIT_STR *x, int nDim, int *dims );
int scan_buf_PILO_DYNAMIC_PARAMS (char** buf, PILO_DYNAMIC_PARAMS *x, int nDim, int *dims );
int scan_buf_PILO_AVOID_FLAG (char** buf, PILO_AVOID_FLAG *x, int nDim, int *dims );
int scan_buf_PILO_MOVE_STR (char** buf, PILO_MOVE_STR *x, int nDim, int *dims );
int scan_buf_PILO_TURN_STR (char** buf, PILO_TURN_STR *x, int nDim, int *dims );
int scan_buf_PILO_ABS_OR_REL (char** buf, PILO_ABS_OR_REL *x, int nDim, int *dims );
int scan_buf_PILO_GOTO_CONFIG_MODE (char** buf, PILO_GOTO_CONFIG_MODE *x, int nDim, int *dims );
int scan_buf_PILO_GOTO_CONFIG_STR (char** buf, PILO_GOTO_CONFIG_STR *x, int nDim, int *dims );
int scan_buf_PILO_TRAJ_POSTER (char** buf, PILO_TRAJ_POSTER *x, int nDim, int *dims );
int scan_buf_PILO_SEG_TYPE (char** buf, PILO_SEG_TYPE *x, int nDim, int *dims );
int scan_buf_PILO_TRAJ_HEADER (char** buf, PILO_TRAJ_HEADER *x, int nDim, int *dims );
int scan_buf_PILO_SEGMENT (char** buf, PILO_SEGMENT *x, int nDim, int *dims );
int scan_buf_PILO_TRAJECTORY (char** buf, PILO_TRAJECTORY *x, int nDim, int *dims );
int scan_buf_PILO_ABSOLUTE_REF (char** buf, PILO_ABSOLUTE_REF *x, int nDim, int *dims );
int scan_buf_PILO_ABSOLUTE_BL (char** buf, PILO_ABSOLUTE_BL *x, int nDim, int *dims );
int scan_buf_PILO_STR (char** buf, PILO_STR *x, int nDim, int *dims );
int scan_buf_PILO_POSREF_POSTER_STR (char** buf, PILO_POSREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_PILO_SPEEDREF_POSTER_STR (char** buf, PILO_SPEEDREF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_PILO_BASICTRAJ_POSTER_STR (char** buf, PILO_BASICTRAJ_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* PILO_SCAN_H */

